Bug 1577242 - [abrt] gedit: peas_extension_set_foreach(): gedit killed by SIGSEGV
Summary: [abrt] gedit: peas_extension_set_foreach(): gedit killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:64775e322f8ba92f2bd363e6884...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:27 UTC by aoellerer
Modified: 2019-05-28 20:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:16:16 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (32.94 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: cgroup (365 bytes, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: core_backtrace (18.65 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: cpuinfo (1.14 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: dso_list (11.47 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: environ (1.89 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: maps (51.22 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: mountinfo (3.79 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: open_fds (1.84 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details
File: var_log_messages (151 bytes, text/plain)
2018-05-11 14:27 UTC, aoellerer
no flags Details

Description aoellerer 2018-05-11 14:27:06 UTC
Description of problem:
I opened a csv file and scrolled in it

Version-Release number of selected component:
2:gedit-3.28.1-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        /usr/bin/gedit --gapplication-service
crash_function: peas_extension_set_foreach
executable:     /usr/bin/gedit
journald_cursor: s=36a0694983dd41b9ac04df9260aa0e43;i=6e460b;b=42aec280ad9e464983a2738fbeb8a572;m=36b8ef5ef;t=56bee81e8339b;x=c89b02d16f845605
kernel:         4.16.7-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 peas_extension_set_foreach at peas-extension-set.c:596
 #6 g_object_notify_by_spec_internal at gobject.c:1175
 #7 g_object_notify_by_pspec at gobject.c:1285
 #8 gtk_source_buffer_set_language at gtksourcebuffer.c:1774
 #9 set_language at gedit/gedit-document.c:614
 #15 g_object_notify_by_spec_internal at gobject.c:1175
 #16 g_object_notify_by_pspec at gobject.c:1285
 #17 set_content_type_no_guess at gedit/gedit-document.c:980
 #18 set_content_type at gedit/gedit-document.c:1010
 #19 gedit_document_loaded_real at gedit/gedit-document.c:1285

Comment 1 aoellerer 2018-05-11 14:27:12 UTC
Created attachment 1434940 [details]
File: backtrace

Comment 2 aoellerer 2018-05-11 14:27:13 UTC
Created attachment 1434941 [details]
File: cgroup

Comment 3 aoellerer 2018-05-11 14:27:15 UTC
Created attachment 1434942 [details]
File: core_backtrace

Comment 4 aoellerer 2018-05-11 14:27:16 UTC
Created attachment 1434943 [details]
File: cpuinfo

Comment 5 aoellerer 2018-05-11 14:27:18 UTC
Created attachment 1434944 [details]
File: dso_list

Comment 6 aoellerer 2018-05-11 14:27:20 UTC
Created attachment 1434945 [details]
File: environ

Comment 7 aoellerer 2018-05-11 14:27:21 UTC
Created attachment 1434946 [details]
File: exploitable

Comment 8 aoellerer 2018-05-11 14:27:23 UTC
Created attachment 1434947 [details]
File: limits

Comment 9 aoellerer 2018-05-11 14:27:25 UTC
Created attachment 1434948 [details]
File: maps

Comment 10 aoellerer 2018-05-11 14:27:26 UTC
Created attachment 1434949 [details]
File: mountinfo

Comment 11 aoellerer 2018-05-11 14:27:28 UTC
Created attachment 1434950 [details]
File: open_fds

Comment 12 aoellerer 2018-05-11 14:27:29 UTC
Created attachment 1434951 [details]
File: proc_pid_status

Comment 13 aoellerer 2018-05-11 14:27:31 UTC
Created attachment 1434952 [details]
File: var_log_messages

Comment 14 Ben Cotton 2019-05-02 21:45:32 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:16:16 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.